import {
  select,
  csv,
  pie,
  arc,
  scaleOrdinal,
  schemeCategory10,
} from 'd3';

// Create the SVG element
var svg = d3.select("#chart")
  .append("svg")
  .attr("width", width + margin.left + margin.right)
  .attr("height", height + margin.top + margin.bottom)
  .append("g")
  .attr("transform", "translate(" + margin.left + "," + margin.top + ")");

// Define the x and y scales
var xScale = d3.scaleLinear()
  .domain([d3.min(data, function(d) { return d.SepalLengthCm; }), d3.max(data, function(d) { return d.SepalLengthCm; })])
  .range([0, width]);

var yScale = d3.scaleLinear()
  .domain([d3.min(data, function(d) { return d.SepalWidthCm; }), d3.max(data, function(d) { return d.SepalWidthCm; })])
  .range([height, 0]);

 // Add the scatterplot points
 svg.selectAll("circle")
  .data(data)
  .enter()
  .append("circle")
  .attr("cx", function(d) { return xScale(d.SepalLengthCm); })
  .attr("cy", function(d) { return yScale(d.SepalWidthCm); })
  .attr("r", 5)
  .attr("fill", function(d) { 
  if (d.species == "Iris-setosa") {
    return "red";
} else if (d.species == "Iris-versicolor") {
  return "green";
  } else {
    return "blue";
    }
    });

        // Add the x-axis
        svg.append("g")
            .attr("transform", "translate(0," + height + ")")
            .call(d3.axisBottom(xScale));

        // Add the y-axis
        svg.append("g")
            .call(d3.axisLeft(yScale));

        // Add the chart title
        svg.append("text")
            .attr("x", (width / 2))
            .attr("y", 0 - (margin.top / 2))
            .attr("text-anchor", "middle")
            .style("font-size", "18px")
            .text("Iris Dataset Scatterplot");

// url of my data giest

const csvUrl =
 'https://gist.githubusercontent.com/Bhanuteja-1807/9e7f866e0b4446e10eebe06191eda2ac/raw/2bb92cb24fe95cb641afff16003fb68aa20cfa73/Iris.csv';


var margin = {top: 30, right: 30, bottom: 30, left: 30},
width = 800 - margin.left - margin.right,
height = 500 - margin.top - margin.bottom;